public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-text/linuxdoc-tools/
Date: Fri,  5 Oct 2018 21:28:30 +0000 (UTC)	[thread overview]
Message-ID: <1538774899.6725a37b5c4eceb45fa398ab087b98f1107faec5.mgorny@gentoo> (raw)

commit:     6725a37b5c4eceb45fa398ab087b98f1107faec5
Author:     Ilya Tumaykin <itumaykin <AT> gmail <DOT> com>
AuthorDate: Wed Jul 25 19:26:11 2018 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Oct  5 21:28:19 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6725a37b

app-text/linuxdoc-tools: verbump to 0.9.73

Among other things uses nsgmls without a pipe, which fixes bug 606768.

Bug: https://bugs.gentoo.org/606768
Signed-off-by: Ilya Tumaykin <itumaykin <AT> gmail.com>
Package-Manager: Portage-2.3.50, Repoman-2.3.11
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
Closes: https://github.com/gentoo/gentoo/pull/9350

 app-text/linuxdoc-tools/Manifest                   |  1 +
 .../linuxdoc-tools/linuxdoc-tools-0.9.73.ebuild    | 74 ++++++++++++++++++++++
 2 files changed, 75 insertions(+)

diff --git a/app-text/linuxdoc-tools/Manifest b/app-text/linuxdoc-tools/Manifest
index fe5f6726cb2..13d8bb69572 100644
--- a/app-text/linuxdoc-tools/Manifest
+++ b/app-text/linuxdoc-tools/Manifest
@@ -1 +1,2 @@
 DIST linuxdoc-tools-0.9.72.tar.gz 614429 BLAKE2B 404b311c0560780bd81f021760d32e47cd6ebe8abc9aa64a181b8ce727dd0edbbd88d286cdfdcc97a51981bd0bd299563d7b1b2945e06f83ff32c7d3e56abb19 SHA512 2d522a99212dab2535786b64e0b404a9bb023d1612d8e57a628de21b5e77b104285713a98591c61a2fb2196e687b34180198ab0dfeda2b44fbbce051e9919408
+DIST linuxdoc-tools-0.9.73.tar.gz 613971 BLAKE2B e2e04aaa44d5e2cea5af266e38b476381f87a02b9704e03ae5943f7714634d5d214350abd5b193f2efe656a264403c679495af5f954870b30d32b8b799ad7206 SHA512 b26896316e259cf4ef170814d410b1e39e58f61db49b03b4b9c1f767f8459d84214e92d9dcc09ad739508fd9c3c5fe4a2264cbb3c693a11362e59fd221655252

diff --git a/app-text/linuxdoc-tools/linuxdoc-tools-0.9.73.ebuild b/app-text/linuxdoc-tools/linuxdoc-tools-0.9.73.ebuild
new file mode 100644
index 00000000000..18bccf5a487
--- /dev/null
+++ b/app-text/linuxdoc-tools/linuxdoc-tools-0.9.73.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# EAPI=6 is blocked by Gentoo bugs 497038, 497052.
+EAPI=5
+
+inherit autotools latex-package perl-functions sgml-catalog toolchain-funcs
+
+DESCRIPTION="A toolset for processing LinuxDoc DTD SGML files"
+HOMEPAGE="https://gitlab.com/agmartin/linuxdoc-tools"
+SRC_URI="https://gitlab.com/agmartin/linuxdoc-tools/-/archive/${PV}/${P}.tar.gz"
+
+LICENSE="GPL-3+ MIT SGMLUG"
+SLOT="0"
+KEYWORDS="~amd64 ~ia64 ~ppc ~x86 ~x86-fbsd"
+IUSE="doc"
+
+RDEPEND="
+	|| ( app-text/openjade app-text/opensp )
+	app-text/sgml-common
+	dev-lang/perl:=
+	sys-apps/groff
+"
+DEPEND="${RDEPEND}
+	sys-devel/flex
+	virtual/awk
+	doc? (
+		dev-texlive/texlive-fontsrecommended
+		virtual/latex-base
+	)
+"
+
+src_prepare() {
+	# Pregenerated configure scripts fail.
+	eautoreconf
+}
+
+src_configure() {
+	perl_set_version
+	tc-export CC
+	local myeconfargs=(
+		--disable-docs
+		--with-texdir="${TEXMF}/tex/latex/${PN}"
+		--with-perllibdir="${VENDOR_ARCH}"
+		--with-installed-iso-entities
+	)
+	use doc && myeconfargs+=(--enable-docs="txt pdf html")
+
+	econf "${myeconfargs[@]}"
+}
+
+src_compile() {
+	# Prevent access violations from bitmap font files generation.
+	use doc && export VARTEXFONTS="${T}/fonts"
+	default_src_compile
+}
+
+src_install() {
+	# Makefile ignores docdir configuration option.
+	emake DESTDIR="${D}" docdir="${EPREFIX}/usr/share/doc/${PF}" install
+	dodoc ChangeLog README
+}
+
+sgml-catalog_cat_include "/etc/sgml/linuxdoc.cat" "/usr/share/${PN}/${PN}.catalog"
+
+pkg_postinst() {
+	latex-package_pkg_postinst
+	sgml-catalog_pkg_postinst
+}
+
+pkg_postrm() {
+	latex-package_pkg_postrm
+	sgml-catalog_pkg_postrm
+}


             reply	other threads:[~2018-10-05 21:28 UTC|newest]

Thread overview: 29+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-10-05 21:28 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-29 16:18 [gentoo-commits] repo/gentoo:master commit in: app-text/linuxdoc-tools/ Andreas K. Hüttel
2023-02-24 17:11 Arthur Zamarin
2023-02-24 17:11 Arthur Zamarin
2023-02-24 16:58 Arthur Zamarin
2019-12-10 10:31 David Seifert
2019-11-26 11:41 Agostino Sarubbo
2019-11-26  0:58 Thomas Deutschmann
2019-09-17  7:12 Michał Górny
2019-09-11 17:58 Michał Górny
2019-08-26 18:45 Sergei Trofimovich
2018-10-28 17:25 Sergei Trofimovich
2018-10-27 19:17 Mikle Kolyada
2017-07-14 21:21 Michał Górny
2016-09-24 13:42 Agostino Sarubbo
2016-05-24  3:06 Ian Delaney
2016-05-09 12:22 Ian Delaney
2016-01-13 14:10 Patrice Clement
2015-12-25 15:41 Agostino Sarubbo
2015-12-25 15:13 Agostino Sarubbo
2015-11-25  8:49 Patrice Clement
2015-11-25  8:49 Patrice Clement
2015-11-25  8:48 Patrice Clement
2015-11-23 17:37 Patrice Clement
2015-10-31  9:36 Ian Delaney
2015-10-21  6:51 Patrice Clement
2015-10-21  6:51 Patrice Clement
2015-10-13 21:25 Michał Górny
2015-10-06 16:11 Patrice Clement

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1538774899.6725a37b5c4eceb45fa398ab087b98f1107faec5.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox